メインコンテンツへスキップ
GET
/
webhooks
cURL
curl -i -X GET "https://api.box.com/2.0/webhooks" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
client.webhooks.get_webhooks()
await client.webhooks.getWebhooks();
try await client.webhooks.getWebhooks()
client.getWebhooks().getWebhooks()
await client.Webhooks.GetWebhooksAsync();
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "11446498",
      "type": "webhook",
      "target": {
        "id": "1231232",
        "type": "file"
      }
    }
  ]
}
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}
このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

これを使用するには、usemarkertrueに設定する必要があります。

limit
integer<int64>

返す項目の1ページあたりの最大数。

必須範囲: x <= 1000

レスポンス

Webhookのリストを返します。

Webhookのリスト。

limit
integer<int64>

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

1000

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"

prev_marker
string | null

前の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih"

entries
Webhook (Mini) · object[]

Webhookのリスト。

最終更新日 2026年1月23日